=== autotests/CMakeLists.txt ===

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMAddTests)

#TODO: add tests
#ecm_add_tests(
#   footest.cpp
#   LINK_LIBRARIES Qt6::Test
#)
